Package twisted :: Package words :: Module service :: Class WordsClient

[frames | no frames]

## Class WordsClient

Known Subclasses:
  `BotBot`, `IRCChatter`, `ProxiedParticipant`, `TendrilWords`

Method Summary
| `memberJoined(self, member, group)`
| `memberLeft(self, member, group)`
| `notifyStatusChanged(self, name, status)`
| `receiveContactList(self, contactList)`
| `receiveDirectMessage(self, sender, message, metadata)`
| `receiveGroupMembers(self, names, group)`
| `receiveGroupMessage(self, sender, group, message, metadata)`
| `setGroupMetadata(self, metadata, name)`

Class Variable Summary
`class` | `__implements__` = `twisted.words.service.IWordsClient`

Generated by Epydoc 2.0 on Sat May 15 20:07:41 2004 | http://epydoc.sf.net